## tpm2-pk11 0~git20171109

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(TPM2_PK11 LANGUAGES C)
include(${CMAKE_ROOT}/Modules/GNUInstallDirs.cmake)

find_package(PkgConfig REQUIRED)
pkg_check_modules(P11_KIT REQUIRED p11-kit-1)
pkg_check_modules(SAPI REQUIRED sapi)
pkg_check_modules(TCTI_SOCKET tcti-socket)
pkg_check_modules(TCTI_DEVICE tcti-device)
pkg_check_modules(TCTI_TABRMD tcti-tabrmd)

if(NOT TCTI_SOCKET_FOUND AND NOT TCTI_DEVICE_FOUND AND NOT TCTI_TABRMD_FOUND)
  message(FATAL_ERROR "At least one connection type must be enabled")
endif()

aux_source_directory(./src SRC_LIST)

add_library(tpm2-pk11 SHARED ${SRC_LIST})
set_property(TARGET tpm2-pk11 PROPERTY C_STANDARD 11)
target_include_directories(tpm2-pk11 PRIVATE ${P11_KIT_INCLUDE_DIRS} ${SAPI_INCLUDE_DIRS} ${TCTI_SOCKET_INCLUDE_DIRS} ${TCTI_DEVICE_INCLUDE_DIRS} ${TCTI_TABRMD_INCLUDE_DIRS})
target_link_libraries(tpm2-pk11 ${P11_KIT_LIBRARIES} ${SAPI_LIBRARIES} ${TCTI_SOCKET_LIBRARIES} ${TCTI_DEVICE_LIBRARIES} ${TCTI_TABRMD_LIBRARIES})
if(TCTI_SOCKET_FOUND)
  target_compile_definitions(tpm2-pk11 PUBLIC TCTI_SOCKET_ENABLED=1)
endif()
if(TCTI_DEVICE_FOUND)
  target_compile_definitions(tpm2-pk11 PUBLIC TCTI_DEVICE_ENABLED=1)
endif()
if(TCTI_TABRMD_FOUND)
  target_compile_definitions(tpm2-pk11 PUBLIC TCTI_TABRMD_ENABLED=1)
endif()

install(TARGETS tpm2-pk11 DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
tpm2-pk11 (0~git20171109-1) unstable; urgency=medium

  * Initial release (Closes: #881340)

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 10 Nov 2017 22:57:30 +0800

=== debian/control ===
Source: tpm2-pk11
Section: net
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>=3.1),
               pkg-config,
               libp11-kit-dev,
               libsapi-dev
Standards-Version: 4.1.1
Homepage: https://github.com/irtimmer/tpm2-pk11
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tpm2-pk11.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tpm2-pk11.git

Package: tpm2-pk11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: openssh-client
Description: library for using the TPM 2.0 chip to secure SSH keys
 tpm2-pk11 is an utility to provide a PKCS#11 backend for a TPM 2.0 (Trusted
 Platform Module) chip in order to secure your SSH keys. The package comes
 with a library that you can use as “PKCS11Provider” in your SSH
 configuration file.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Some variables:
DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/irtimmer/tpm2-pk11/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tpm2-pk11 0~git20180426

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(TPM2_PK11 LANGUAGES C)
include(${CMAKE_ROOT}/Modules/GNUInstallDirs.cmake)

find_package(PkgConfig REQUIRED)
function(pkg_check_variable _pkg _name)
  string(TOUPPER ${_pkg} _pkg_upper)
  string(TOUPPER ${_name} _name_upper)
  string(REPLACE "-" "_" _pkg_upper ${_pkg_upper})
  string(REPLACE "-" "_" _name_upper ${_name_upper})
  set(_output_name "${_pkg_upper}_${_name_upper}")

  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=${_name} ${_pkg} OUTPUT_VARIABLE _pkg_result OUTPUT_STRIP_TRAILING_WHITESPACE)
  set("${_output_name}" "${_pkg_result}" CACHE STRING "pkg-config variable ${_name} of ${_pkg}")
endfunction()

pkg_check_modules(P11_KIT REQUIRED p11-kit-1)
pkg_check_variable(p11-kit-1 p11_module_configs)
pkg_check_variable(p11-kit-1 p11_module_path)
pkg_search_module(SAPI REQUIRED sapi tss2-sys)
pkg_check_modules(TCTI_SOCKET tcti-socket)
pkg_check_modules(TCTI_MSSIM tss2-tcti-mssim)
pkg_search_module(TCTI_DEVICE tcti-device tss2-tcti-device)
pkg_search_module(TCTI_TABRMD tcti-tabrmd tss2-tcti-tabrmd)
pkg_check_modules(LIBTASN1 REQUIRED libtasn1)

if(NOT TCTI_SOCKET_FOUND AND NOT TCTI_MSSIM_FOUND AND NOT TCTI_DEVICE_FOUND AND NOT TCTI_TABRMD_FOUND)
  message(FATAL_ERROR "At least one connection type must be enabled")
endif()

find_library(SAPI_LIBRARIES
  NAMES sapi tss2-sys
  HINTS ${SAPI_LIBDIR} ${SAPI_LIBRARY_DIRS}
)

if(TCTI_SOCKET_FOUND)
  find_library(TCTI_SOCKET_LIBRARIES
    NAMES tcti-socket
    HINTS ${TCTI_SOCKET_LIBDIR} ${TCTI_SOCKET_LIBRARY_DIRS}
  )
endif()

if(TCTI_MSSIM_FOUND)
  find_library(TCTI_MSSIM_LIBRARIES
    NAMES tss2-tcti-mssim
    HINTS ${TCTI_MSSIM_LIBDIR} ${TCTI_MSSIM_LIBRARY_DIRS}
  )
endif()

if(TCTI_DEVICE_FOUND)
  find_library(TCTI_DEVICE_LIBRARIES
    NAMES tcti-device tss2-tcti-device
    HINTS ${TCTI_DEVICE_LIBDIR} ${TCTI_DEVICE_LIBRARY_DIRS}
  )
endif()

if(TCTI_TABRMD_FOUND)
  find_library(TCTI_TABRMD_LIBRARIES
    NAMES tcti-tabrmd tss2-tcti-tabrmd
    HINTS ${TCTI_TABRMD_LIBDIR} ${TCTI_TABRMD_LIBRARY_DIRS}
  )
endif()

find_library(P11_KIT_LIBRARIES
  NAMES p11-kit
  HINTS ${P11_KIT_LIBDIR} ${P11_KIT_LIBRARY_DIRS}
)

find_library(LIBTASN1_LIBRARIES
  NAMES tasn1
  HINTS ${LIBTASN1_LIBDIR} ${LIBTASN1_LIBRARY_DIRS}
)

configure_file("tpm2-pk11.module.in" "tpm2-pk11.module")

aux_source_directory(./src SRC_LIST)

add_library(tpm2-pk11 SHARED ${SRC_LIST})
set_property(TARGET tpm2-pk11 PROPERTY C_STANDARD 11)
target_include_directories(tpm2-pk11 PRIVATE ${P11_KIT_INCLUDE_DIRS} ${SAPI_INCLUDE_DIRS} ${TCTI_SOCKET_INCLUDE_DIRS} ${TCTI_MSSIM_INCLUDE_DIRS} ${TCTI_DEVICE_INCLUDE_DIRS} ${TCTI_TABRMD_INCLUDE_DIRS} ${LIBTASN1_INCLUSE_DIRS})
target_link_libraries(tpm2-pk11 ${P11_KIT_LIBRARIES} ${SAPI_LIBRARIES} ${TCTI_SOCKET_LIBRARIES} ${TCTI_MSSIM_LIBRARIES} ${TCTI_DEVICE_LIBRARIES} ${TCTI_TABRMD_LIBRARIES} ${LIBTASN1_LIBRARIES})
if(TCTI_SOCKET_FOUND)
  target_compile_definitions(tpm2-pk11 PUBLIC TCTI_SOCKET_ENABLED=1)
endif()
if(TCTI_MSSIM_FOUND)
  target_compile_definitions(tpm2-pk11 PUBLIC TCTI_MSSIM_ENABLED=1)
endif()
if(TCTI_DEVICE_FOUND)
  target_compile_definitions(tpm2-pk11 PUBLIC TCTI_DEVICE_ENABLED=1)
endif()
if(TCTI_TABRMD_FOUND)
  target_compile_definitions(tpm2-pk11 PUBLIC TCTI_TABRMD_ENABLED=1)
endif()

if (SAPI_VERSION VERSION_LESS "2.0")
  target_compile_definitions(tpm2-pk11 PUBLIC TSS_COMPAT=1)
endif()

install(TARGETS tpm2-pk11 DESTINATION ${P11_KIT_1_P11_MODULE_PATH})
install(FILES ${CMAKE_BINARY_DIR}/tpm2-pk11.module DESTINATION ${P11_KIT_1_P11_MODULE_CONFIGS})

=== debian/changelog ===
tpm2-pk11 (0~git20180426-1) unstable; urgency=medium

  * Import new upstream (Closes: #884486)
  * d/control: bump Standards-Version to 4.1.4
               bump debhelper version to 11
               tweak description for matching with new release from upstream
  * d/compat: bump compat version to 11
  * Converting git-dpm to gbp pq

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 02 May 2018 15:42:30 +0800

tpm2-pk11 (0~git20171213-1) UNRELEASED; urgency=medium

  * Import new upstream
  * Move package from experimental to sid archive
  * d/control: Bump Standards-Version to 4.1.2
  * Move VCS to salsa

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 14 Dec 2017 11:04:24 +0800

tpm2-pk11 (0~git20171109-2) experimental; urgency=medium

  * Move the package from unstable to experimental archive since
    it is still in development

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 28 Nov 2017 22:58:32 +0800

=== debian/control ===
Source: tpm2-pk11
Section: net
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 11),
               cmake (>=3.1),
               pkg-config,
               libp11-kit-dev,
               libsapi-dev,
               libtasn1-6-dev
Standards-Version: 4.1.4
Homepage: https://github.com/irtimmer/tpm2-pk11
Vcs-Git: https://salsa.debian.org/debian/tpm2-pk11.git
Vcs-Browser: https://salsa.debian.org/debian/tpm2-pk11

Package: tpm2-pk11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: openssh-client
Description: PKCS11 provider for TPM 2.0
 tpm2-pk11 is an utility to provide a PKCS#11 backend for a TPM 2.0 (Trusted
 Platform Module) chip. This allows you to use your TPM keys in every
 application which support the PKCS #11 standard.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CFLAGS_MAINT_APPEND  = -Wall
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Some variables:
